Bug 97711 - kernel-source-2.4.20-18.7: make modules fails
kernel-source-2.4.20-18.7: make modules fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 12:42 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-24 12:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-19 12:42:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
Modules cannot be compiled from kernel-source-2.4.20-18.7.
make modules leads to compilation errors.


Version-Release number of selected component (if applicable):
kernel-source-2.4.20-18.7

How reproducible:
Always

Steps to Reproduce:
cd /usr/src/linux-2.4.20-18.7; make xconfig ; make dep ; make bzImage - OK
make modules: 
   ...
make[2]: Entering directory `/usr/src/linux-2.4.20-18.7/drivers/block'
gcc -D__KERNEL__ -I/usr/src/linux-2.4.20-18.7/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe
-mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4.20-18.7/include/linux/modversions.h  -nostdinc -iwithprefix
include -DKBUILD_BASENAME=rd  -c -o rd.o rd.c
In file included from rd.c:46:
/usr/src/linux-2.4.20-18.7/include/linux/string.h:15: nondigits in number and
not hexadecimal
/usr/src/linux-2.4.20-18.7/include/linux/string.h:15: parse error before `29805c13'
/usr/src/linux-2.4.20-18.7/include/linux/string.h:15: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-18.7/include/linux/string.h:16: nondigits in number and
not hexadecimal
/usr/src/linux-2.4.20-18.7/include/linux/string.h:16: nondigits in number and
not hexadecimal
/usr/src/linux-2.4.20-18.7/include/linux/string.h:16: nondigits in number and
not hexadecimal
/usr/src/linux-2.4.20-18.7/include/linux/string.h:16: nondigits in number and
not hexadecimal
/usr/src/linux-2.4.20-18.7/include/linux/string.h:16: parse error before `9a1dfd65'
...
FAILS


Additional info:
Comment 1 Arjan van de Ven 2003-06-19 12:43:40 EDT
you need to do make mrproper as first step.
Comment 2 Brian Brock 2003-06-24 12:32:30 EDT
Verfied, `make mrproper` has been required for several releases and our tests
have checked that behavior for each release.

Note You need to log in before you can comment on or make changes to this bug.